# strchr

find the first occurrence of a character in a string

## Calling Sequence

    res = strchr(haystack, char)

## Arguments

haystack

  a character string or matrix of character strings.

char

  a character.

res

  a character string or matrix of character strings.

## Description

`res = strchr(haystack, char)` returns the first occurrence of character in the string `haystack`.

`char` must contain only one string or as many strings as in `haystack` (each one being one- character-long).

## Examples

    strchr('This is a sample string','s')
    strchr(['This is a sample string','in scilab'],'s')
    strchr(['This is a sample string','in scilab'],['s','a'])

## See Also

- strrchr
- strstr